Introducing Managed ClickStack: Observability for OpenTelemetry at scale Read more →
Introducing Managed ClickStack: Observability for OpenTelemetry at scale Read more →
Retrieves a list of all dashboards for the authenticated team
curl --request GET \
--url https://api.hyperdx.io/api/v2/dashboards \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "65f5e4a3b9e77c001a567890",
"name": "Service Overview",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "Error Rate",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"sourceId": "65f5e4a3b9e77c001a123456",
"aggFn": "count",
"where": "level:error",
"groupBy": [
"service",
"host"
],
"field": "duration",
"whereLanguage": "lucene",
"metricName": "http_requests_total",
"metricDataType": "gauge",
"type": "time",
"dataSource": "events"
}
]
}
],
"tags": [
"production",
"monitoring"
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://private-7c7dfe99-page-updates.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Was this page helpful?
curl --request GET \
--url https://api.hyperdx.io/api/v2/dashboards \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "65f5e4a3b9e77c001a567890",
"name": "Service Overview",
"tiles": [
{
"id": "65f5e4a3b9e77c001a901234",
"name": "Error Rate",
"x": 0,
"y": 0,
"w": 6,
"h": 3,
"asRatio": false,
"series": [
{
"sourceId": "65f5e4a3b9e77c001a123456",
"aggFn": "count",
"where": "level:error",
"groupBy": [
"service",
"host"
],
"field": "duration",
"whereLanguage": "lucene",
"metricName": "http_requests_total",
"metricDataType": "gauge",
"type": "time",
"dataSource": "events"
}
]
}
],
"tags": [
"production",
"monitoring"
]
}
]
}